import { SourceLocation, BabelCodeFrameOptions } from '@babel/code-frame';
export interface CodeErrorFile {
    name?: string;
    rawLines: string;
    location: SourceLocation;
}
export default class CodeFrameError extends Error {
    codeFrame: string;
    fileName?: string;
    constructor(message: string, file: CodeErrorFile, options?: BabelCodeFrameOptions);
    toString(): string;
}
